## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogUtils

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogUtils

    public class SybaseASECatalogUtils

extends java.lang.Object

Constructor Summary
`SybaseASECatalogUtils()`

Method Summary
`static void` `cleanupJDBCResouce(java.sql.ResultSet rs, java.sql.Statement stmt, java.lang.String oldCatalog, java.sql.Connection conn)`
`static java.lang.String` `getBoundDefaultValue(java.lang.String body)`
`static java.util.List` `getDBDatatypes(java.lang.String ctg, java.sql.Connection conn)`
`static java.lang.String` `getSchemaName(org.eclipse.emf.ecore.EObject obj)`
`static DataType` `getSpecifiedUserDefinedDatatype(Catalog catalog, java.lang.String typeName)`
`static java.sql.ResultSet` `getStoredProcs(java.lang.String sch_nm, java.sql.Connection cnxn)` Return a ResultSet object representing the stored procedures on the database visible to this connection
`static java.lang.String` `getUDTOwner(java.lang.String typeName, java.lang.String dbName, java.sql.Connection conn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASECatalogUtils

    public SybaseASECatalogUtils()

Method Detail

### getDBDatatypes

    public static java.util.List getDBDatatypes(java.lang.String ctg,
                                                java.sql.Connection conn)
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getStoredProcs

    public static java.sql.ResultSet getStoredProcs(java.lang.String sch_nm,
                                                    java.sql.Connection cnxn)
                                             throws java.sql.SQLException

  Return a ResultSet object representing the stored procedures on the database visible to this connection

  Returns:
    java.sql.ResultSet - the stored procedures
  Throws:
    `java.sql.SQLException`

### getSchemaName

    public static java.lang.String getSchemaName(org.eclipse.emf.ecore.EObject obj)

### getUDTOwner

    public static java.lang.String getUDTOwner(java.lang.String typeName,
                                               java.lang.String dbName,
                                               java.sql.Connection conn)
                                        throws java.sql.SQLException

  Parameters:
    `typeName` -
    `dbName` -
    `conn` -
  Returns:
  Throws:
    `java.sql.SQLException`

### cleanupJDBCResouce

    public static void cleanupJDBCResouce(java.sql.ResultSet rs,
                                          java.sql.Statement stmt,
                                          java.lang.String oldCatalog,
                                          java.sql.Connection conn)

### getBoundDefaultValue

    public static java.lang.String getBoundDefaultValue(java.lang.String body)

### getSpecifiedUserDefinedDatatype

    public static DataType getSpecifiedUserDefinedDatatype(Catalog catalog,
                                                           java.lang.String typeName)